Subject: RE: WAN multicast status

From: "Casati, Alessio (Alessio)" <[email-masked]>
Date: Sat, 30 Sep 2000 17:35:33 +0100

It turns out that subscription based
broadcasted info is normally 
scrambled/encrypted.

Put it the way you want, to get access to
info that has commercial value, you need to
be authorized. Whether authorization is associated to 
authentication built in IGMP or not, that does not matter 
to me... 

I only notice that normally you get thru AAA to acquire a unicast
address (i.e. network access). In fact, this seems not to
be such a dismal failure...

I would imagine to be quite similarly important from an ISP perspective
allowing or denying access to multicast groups via AAA
(if anything, not to add a leg from a PIM RP to a POP
without a commercial benefit...). 

Note that unicast commercially valuable information is not sent to
the unicast receiver unless it has some right to access it.

more...

> > Joining a multicast group today is not
> > associated to any AAA...
> 
> sending unicast is not associated with any aaa.  this explains why unicast
> is such a dismal failure.
> 
I haven't seen many businesses set up to send unicast packets to
black-holes... If I had the opportunity to send multicast content
over a link I pay for (and using ISP resources I guess I would have to
pay for), I would like the ISP to warn me that I'm sending
traffic while nobody I would like to be on the receiving end
is there (namely those that pay for the service). 

If nobody is there, then I would like the ISP to let me save
their resources, and to make my bill lighter...

Perhaps, at AA phase, some multicast session key
may be distributed too (if no other more convenient ways to do that
are available).

So, while I don't claim to be a business-model strategist 
(you are certainly better than me in that), I would figure out some AAA
for multicast would not be detrimental to its success...
And certainly it would not be the reason for any possible 
dismal failure.

alessio